petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscObjectDestroyOptionsHandlers

Destroys all the option handlers attached to an object

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscObjectDestroyOptionsHandlers(PetscObject obj)

Not Collective Many br

### Input Parameter

obj -the PETSc object Many br

Many br

### See Also

KSPSetFromOptions(), PCSetFromOptions(), SNESSetFromOptions(), PetscObjectAddOptionsHandler(), PetscObjectProcessOptionsHandlers()

Level:developer
Location:src/sys/objects/inherit.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages